Upgrade LFS-3.0 to Build LFS-6.0

Miguel Bazdresch lfs-01 at thewizardstower.org
Tue Sep 7 07:49:01 PDT 2004


* John McSwain <jmcswain at infoave.net> [2004-09-07 14:37]:
>  In preparation of building LFS-6.0, I am attempting to install kernel 
> 2.6.8.1 and gcc 3.4.2.  The current system (i686) is based on LFS-3.0, 
> gcc 2.95.3 and kernel-2.4.20.  I've run into a problem trying to build 
> gcc-3.4.2.  I applied the No-Fixincludes patch, the linkonce patch and 
> performed the sed to suppress liberty.a.
> 
> I used this configure:
> 
>  ../gcc-3.4.2/configure --prefix=/opt/gcc-3.4.2 --enable-shared --enable-threads=posix 
>  --enable-__cxa_atexit --enable-clocale=gnu --enable-languages=c,c++
> 
> During make I get:
> 
> /usr/include/bits/sigthread.h:36: error: storage class specified for 
> parameter `type name'

Sorry, I don't have any specific help... I seem to remember, though,
that at some point the 3.4.2 prereleases weren't compilable with 2.95;
the problem was reported as fixed IIRC.

Maybe downloading a more recent tarball, sticking with 3.4.1, or
searching the gcc ml archives would be of help.

-- 
Miguel Bazdresch
http://thewizardstower.org/



More information about the lfs-support mailing list